package de.tu_dresden.diplom.richter_mirko_mat2628335.common.context;

import org.apache.log4j.Logger;

/**
 * The default implementation of on internal managed contextInfo-object (internal representation
 * of some context at client, witness or service)
 */
public abstract class BaseContextInfo implements IFContextInfo{

   private static final Logger logger = Logger.getLogger(BaseContextInfo.class);

   private String identification = null;

   /**
    * @see IFContextInfo#getIdentification()
    */
   public String getIdentification() {
      return identification;
   }

   /**
    * Sets the identification (aka. contextID).
    * @param identification the id
    */
   public void setIdentification(String identification) {
      this.identification = identification;
   }
}
